## sgt-puzzles 9109

=== Makefile ===
# Makefile for puzzles under X/GTK and Unix.
#
# This file was created by `mkfiles.pl' from the `Recipe' file.
# DO NOT EDIT THIS FILE DIRECTLY; edit Recipe or mkfiles.pl instead.

# You can define this path to point at your tools if you need to
# TOOLPATH = /opt/gcc/bin
CC := $(TOOLPATH)$(CC)
# You can manually set this to `gtk-config' or `pkg-config gtk+-1.2'
# (depending on what works on your system) if you want to enforce
# building with GTK 1.2, or you can set it to `pkg-config gtk+-2.0'
# if you want to enforce 2.0. The default is to try 2.0 and fall back
# to 1.2 if it isn't found.
GTK_CONFIG = sh -c 'pkg-config gtk+-2.0 $$0 2>/dev/null || gtk-config $$0'

CFLAGS := -O2 -Wall -Werror -ansi -pedantic -g -I./ -Iicons/ `$(GTK_CONFIG) \
		--cflags` $(CFLAGS)
XLIBS = `$(GTK_CONFIG) --libs`
ULIBS =#
INSTALL=install
INSTALL_PROGRAM=$(INSTALL)
INSTALL_DATA=$(INSTALL)
prefix=/usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
gamesdir=$(exec_prefix)/games
mandir=$(prefix)/man
man1dir=$(mandir)/man1

all: blackbox bridges cube dominosa fifteen filling fillingsolver flip \
		galaxies galaxiespicture galaxiessolver guess inertia keen \
		keensolver latincheck lightup lightupsolver loopy \
		loopysolver magnets magnetssolver map mapsolver mineobfusc \
		mines net netslide nullgame obfusc pattern patternsolver \
		pegs range rect samegame signpost signpostsolver singles \
		singlessolver sixteen slant slantsolver solo solosolver \
		tents tentssolver towers towerssolver twiddle unequal \
		unequalsolver untangle

blackbox: blackbox.o blackbox-icon.o drawing.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ blackbox.o blackbox-icon.o drawing.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  $(XLIBS)

bridges: bridges.o bridges-icon.o drawing.o dsf.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ bridges.o bridges-icon.o drawing.o dsf.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  $(XLIBS)

cube: cube.o cube-icon.o drawing.o gtk.o malloc.o midend.o misc.o printing.o \
		ps.o random.o version.o
	$(CC) -o $@ cube.o cube-icon.o drawing.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLIBS)

dominosa: dominosa.o dominosa-icon.o drawing.o gtk.o laydomino.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ dominosa.o dominosa-icon.o drawing.o gtk.o laydomino.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLIBS)

fifteen: drawing.o fifteen.o fifteen-icon.o gtk.o malloc.o midend.o misc.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o fifteen.o fifteen-icon.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  $(XLIBS)

filling: drawing.o dsf.o filling.o filling-icon.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o filling.o filling-icon.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  $(XLIBS)

fillingsolver: dsf.o filling2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o filling2.o malloc.o misc.o nullfe.o random.o  \
		$(ULIBS)

flip: drawing.o flip.o flip-icon.o gtk.o malloc.o midend.o misc.o printing.o \
		ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o flip.o flip-icon.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

galaxies: drawing.o dsf.o galaxies.o galaxies-icon.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o galaxies.o galaxies-icon.o gtk.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLIBS)

galaxiespicture: dsf.o galaxie4.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o galaxie4.o malloc.o misc.o nullfe.o random.o -lm \
		$(ULIBS)

galaxiessolver: dsf.o galaxie2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o galaxie2.o malloc.o misc.o nullfe.o random.o -lm \
		$(ULIBS)

guess: drawing.o gtk.o guess.o guess-icon.o malloc.o midend.o misc.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o guess.o guess-icon.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLIBS)

inertia: drawing.o gtk.o inertia.o inertia-icon.o malloc.o midend.o misc.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o inertia.o inertia-icon.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  $(XLIBS)

keen: drawing.o dsf.o gtk.o keen.o keen-icon.o latin.o malloc.o maxflow.o \
		midend.o misc.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o keen.o keen-icon.o latin.o \
		malloc.o maxflow.o midend.o misc.o printing.o ps.o random.o \
		tree234.o version.o  $(XLIBS)

keensolver: dsf.o keen2.o latin6.o malloc.o maxflow.o misc.o nullfe.o \
		random.o tree234.o
	$(CC) -o $@ dsf.o keen2.o latin6.o malloc.o maxflow.o misc.o \
		nullfe.o random.o tree234.o  $(ULIBS)

latincheck: latin8.o malloc.o maxflow.o misc.o nullfe.o random.o tree234.o
	$(CC) -o $@ latin8.o malloc.o maxflow.o misc.o nullfe.o random.o \
		tree234.o  $(ULIBS)

lightup: combi.o drawing.o gtk.o lightup.o lightup-icon.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ combi.o drawing.o gtk.o lightup.o lightup-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLIBS)

lightupsolver: combi.o lightup2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ combi.o lightup2.o malloc.o misc.o nullfe.o random.o  \
		$(ULIBS)

loopy: drawing.o dsf.o grid.o gtk.o loopy.o loopy-icon.o malloc.o midend.o \
		misc.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o grid.o gtk.o loopy.o loopy-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o tree234.o \
		version.o  $(XLIBS)

loopysolver: dsf.o grid.o loopy2.o malloc.o misc.o nullfe.o random.o \
		tree234.o
	$(CC) -o $@ dsf.o grid.o loopy2.o malloc.o misc.o nullfe.o random.o \
		tree234.o -lm $(ULIBS)

magnets: drawing.o gtk.o laydomino.o magnets.o magnets-icon.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o laydomino.o magnets.o magnets-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLIBS)

magnetssolver: laydomino.o magnets2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ laydomino.o magnets2.o malloc.o misc.o nullfe.o random.o \
		-lm $(ULIBS)

map: drawing.o dsf.o gtk.o malloc.o map.o map-icon.o midend.o misc.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o map.o map-icon.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLIBS)

mapsolver: dsf.o malloc.o map2.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o malloc.o map2.o misc.o nullfe.o random.o -lm \
		$(ULIBS)

mineobfusc: malloc.o mines2.o misc.o nullfe.o random.o tree234.o
	$(CC) -o $@ malloc.o mines2.o misc.o nullfe.o random.o tree234.o  \
		$(ULIBS)

mines: drawing.o gtk.o malloc.o midend.o mines.o mines-icon.o misc.o \
		printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o mines.o mines-icon.o \
		misc.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

net: drawing.o dsf.o gtk.o malloc.o midend.o misc.o net.o net-icon.o \
		printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o net.o \
		net-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

netslide: drawing.o gtk.o malloc.o midend.o misc.o netslide.o \
		netslide-icon.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o netslide.o \
		netslide-icon.o printing.o ps.o random.o tree234.o version.o \
		 $(XLIBS)

nullgame: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o nullgame.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		nullgame.o printing.o ps.o random.o version.o  $(XLIBS)

obfusc: malloc.o misc.o nullfe.o obfusc.o random.o
	$(CC) -o $@ malloc.o misc.o nullfe.o obfusc.o random.o  $(ULIBS)

pattern: drawing.o gtk.o malloc.o midend.o misc.o pattern.o pattern-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o pattern.o \
		pattern-icon.o printing.o ps.o random.o version.o  $(XLIBS)

patternsolver: malloc.o misc.o nullfe.o pattern2.o random.o
	$(CC) -o $@ malloc.o misc.o nullfe.o pattern2.o random.o  $(ULIBS)

pegs: drawing.o gtk.o malloc.o midend.o misc.o pegs.o pegs-icon.o printing.o \
		ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o pegs.o \
		pegs-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

range: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o random.o \
		range.o range-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o range.o range-icon.o version.o  $(XLIBS)

rect: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o random.o \
		rect.o rect-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o rect.o rect-icon.o version.o  $(XLIBS)

samegame: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o random.o \
		samegame.o samegame-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o samegame.o samegame-icon.o version.o  $(XLIBS)

signpost: drawing.o dsf.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o signpost.o signpost-icon.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
		printing.o ps.o random.o signpost.o signpost-icon.o \
		version.o  $(XLIBS)

signpostsolver: dsf.o malloc.o misc.o nullfe.o random.o signpos2.o
	$(CC) -o $@ dsf.o malloc.o misc.o nullfe.o random.o signpos2.o -lm \
		$(ULIBS)

singles: drawing.o dsf.o gtk.o latin.o malloc.o maxflow.o midend.o misc.o \
		printing.o ps.o random.o singles.o singles-icon.o tree234.o \
		version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o latin.o malloc.o maxflow.o \
		midend.o misc.o printing.o ps.o random.o singles.o \
		singles-icon.o tree234.o version.o  $(XLIBS)

singlessolver: dsf.o latin.o malloc.o maxflow.o misc.o nullfe.o random.o \
		singles3.o tree234.o
	$(CC) -o $@ dsf.o latin.o malloc.o maxflow.o misc.o nullfe.o \
		random.o singles3.o tree234.o  $(ULIBS)

sixteen: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o random.o \
		sixteen.o sixteen-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o sixteen.o sixteen-icon.o version.o  $(XLIBS)

slant: drawing.o dsf.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o slant.o slant-icon.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
		printing.o ps.o random.o slant.o slant-icon.o version.o  \
		$(XLIBS)

slantsolver: dsf.o malloc.o misc.o nullfe.o random.o slant2.o
	$(CC) -o $@ dsf.o malloc.o misc.o nullfe.o random.o slant2.o  \
		$(ULIBS)

solo: divvy.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o solo.o solo-icon.o version.o
	$(CC) -o $@ divvy.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
		printing.o ps.o random.o solo.o solo-icon.o version.o  \
		$(XLIBS)

solosolver: divvy.o dsf.o malloc.o misc.o nullfe.o random.o solo2.o
	$(CC) -o $@ divvy.o dsf.o malloc.o misc.o nullfe.o random.o solo2.o  \
		$(ULIBS)

tents: drawing.o dsf.o gtk.o malloc.o maxflow.o midend.o misc.o printing.o \
		ps.o random.o tents.o tents-icon.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o maxflow.o midend.o misc.o \
		printing.o ps.o random.o tents.o tents-icon.o version.o  \
		$(XLIBS)

tentssolver: dsf.o malloc.o maxflow.o misc.o nullfe.o random.o tents3.o
	$(CC) -o $@ dsf.o malloc.o maxflow.o misc.o nullfe.o random.o \
		tents3.o  $(ULIBS)

towers: drawing.o gtk.o latin.o malloc.o maxflow.o midend.o misc.o \
		printing.o ps.o random.o towers.o towers-icon.o tree234.o \
		version.o

=== debian/changelog ===
sgt-puzzles (9109-1) unstable; urgency=low

  * New upstream version:
    - Add Range and Signpost puzzles
    - Use stock icons and conventional order for dialog buttons
    - Use Cairo for screen rendering
  * Update German translation, thanks to Helge Kreutzmann
  * Remove or update patches applied or partially applied upstream
  * Use Debian source format 3.0 (quilt)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 01 Mar 2011 04:16:54 +0000

sgt-puzzles (8853-3) unstable; urgency=low

  * Update German translation, thanks to Helge Kreutzmann
  * Fix reference to puzzles.txt at the bottom of manual pages
  * Remove obsolete patch 102_fix-bridges-min-sensible-islands.diff
  * Flag 5 / 2 = 2 as an error in Keen - closes: #581445

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 08 Aug 2010 23:34:32 +0100

sgt-puzzles (8853-2) unstable; urgency=low

  * Correct minor documentation errors, thanks to Helge Kreutzmann
    - closes: #571975
  * Document Helge Kreutzmann's copyright - closes: #571976
  * Document my copyright
  * Update German translation, thanks to Helge Kreutzmann
  * Fix minor issues reported by lintian:
    - Add ${misc:Depends} to dependencies
    - Add debian/source/format file
    - Use debhelper 7
  * Update policy version to 3.8.4; no changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 04 Apr 2010 16:15:16 +0100

sgt-puzzles (8853-1) unstable; urgency=low

  * New upstream version - closes: #569901
  * Update German translation, thanks to Helge Kreutzmann

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 20 Feb 2010 21:41:07 +0000

sgt-puzzles (8786-1) unstable; urgency=low

  * New upstream version
    - Correct minor documentation errors - closes: #522439, #548472
  * Update German translation, thanks to Helge Kreutzmann
  * Correct minor documentation errors, thanks to Helge Kreutzmann
    - closes: #554341

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 15 Feb 2010 14:33:45 +0000

sgt-puzzles (8692-1) unstable; urgency=low

  * New upstream version
  * Add German descriptions to desktop files, thanks to Helge Kreutzmann
  * Update debian/watch file

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 02 Nov 2009 01:34:59 +0000

sgt-puzzles (8605-2) unstable; urgency=low

  * Apply fixes from Ubuntu - closes: #543527
    - Fix typo in French description of netslide, thanks to Didier Roche
  * Shade filled squares in Slant - closes: #419836
  * Update German translation, thanks to Helge Kreutzmann

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 30 Sep 2009 22:54:12 +0100

=== debian/control ===
Source: sgt-puzzles
Maintainer: Ben Hutchings <ben@decadent.org.uk>
Section: games
Priority: extra
Build-Depends: debhelper (>= 7), halibut, libgtk2.0-dev, liblocale-po-perl, perl, po4a
Standards-Version: 3.8.4
Homepage: http://www.chiark.greenend.org.uk/~sgtatham/puzzles/
Vcs-Git: http://git.decadent.org.uk/git/sgt-puzzles.git/
Vcs-Browser: http://git.decadent.org.uk/gitweb?p=sgt-puzzles.git

Package: sgt-puzzles
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: yelp | khelpcenter | www-browser
Description: Simon Tatham's Portable Puzzle Collection - 1-player puzzle games
 Simon Tatham's Portable Puzzle Collection contains a number of popular
 puzzle games for one player.  It currently consists of these games:
 .
  * Topological deduction games: Bridges; Loopy; Map; Net, based on FreeNet;
    Slant
  * Tile manipulation games: Cube; Fifteen; Flip; Netslide; Sixteen; Twiddle
  * Black Box
  * Dominosa
  * Filling, based on Fillomino
  * Galaxies, based on Tentai Show
  * Guess, based on Mastermind
  * Inertia
  * Light Up
  * Mines, based on Minesweeper
  * Pattern, an implementation of nonograms
  * Pegs, an implementation of several versions of peg solitaire
  * Rectangles, based on Divide by Squares
  * Same Game
  * Solo, based on Sudoku
  * Tents
  * Unequal, based on Futoshiki
  * Untangle, based on Planarity

=== debian/rules ===
#!/usr/bin/make -f

# We require some bash features
override SHELL := /bin/bash

DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -r 's/^Version: //; t; d')
UPSTREAM_VERSION := $(shell echo $(DEBIAN_VERSION) | sed -r 's/^[0-9]*://; s/-[^-]*$$//')

LANGUAGES := en $(patsubst debian/po/%.po,%,$(wildcard debian/po/*.po))

# Distributed files that we regenerate
DIST_REGEN_FILES := list.c Makefile Makefile.cyg Makefile.nestedvm Makefile.osx Makefile.vc Makefile.wce puzzles.txt puzzles.hlp puzzles.cnt HACKING

build: build-indep build-arch

build-indep: build-indep-stamp
build-indep-stamp:
	touch build-indep-stamp

build-arch: build-arch-stamp
build-arch-stamp: Makefile install-po-stamp
	$(MAKE) "VER=-DREVISION=$(UPSTREAM_VERSION)" \
	    "XFLAGS=-DDEBIAN_VERSION=\"\\\"$(DEBIAN_VERSION)\\\"\" -DHELP_BROWSER_PATH=\"\\\"yelp:khelpcenter:sensible-browser\\\"\"" \
	    puzzles
	$(MAKE) -f Makefile.doc
	touch build-arch-stamp

# We patch these sources and so must rebuild the Makefile.
Makefile : backup-regen-stamp mkfiles.pl Recipe
	./mkfiles.pl

binary : binary-arch binary-indep

binary-arch : build
	dh_testroot
	dh_installdirs
	$(MAKE) DESTDIR=debian/sgt-puzzles install
	dh_strip
	dh_shlibdeps
	for lang in $(LANGUAGES); do \
		dh_install doc/html-$$lang/*.html usr/share/sgt-puzzles/help/$$lang \
		|| exit; \
	done
	dh_installchangelogs
	dh_installdocs
	for lang in $(LANGUAGES); do \
		dh_installman --language=$${lang/en/C} doc/man-$$lang/* || exit; \
	done
	dh_install debian/desktop/*.desktop usr/share/applications
	for icon in icons/*-48d24.png; do \
	    base="$$(basename $$icon -48d24.png)" && \
	    if [ $$base = blackbox -o $$base = flip -o $$base = net ]; then \
		base=$${base}game; \
	    fi && \
	    install -m644 $$icon debian/sgt-puzzles/usr/share/icons/hicolor/48x48/apps/$$base.png \
	    || exit; \
	done
	dh_link
	dh_compress
	dh_fixperms
	dh_installmenu
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep :

backup-regen-stamp :
	mkdir -p debian/orig/
	cp $(DIST_REGEN_FILES) debian/orig/
	touch $@

install-po-stamp :
	mkdir -p po/
	cp -p debian/po/*.po po/
	touch $@

clean :
	! [ -f Makefile ] || $(MAKE) clean
	! [ -d debian/orig ] || { $(MAKE) -f Makefile.doc clean && mv debian/orig/* . && rmdir debian/orig ; }
	rm -rf po *-stamp
	dh_clean debian/substvars version2.def wingames.lst

get-orig-source :
	wget -O sgt-puzzles_$(UPSTREAM_VERSION).orig.tar.gz \
	    http://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles-r$(UPSTREAM_VERSION).tar.gz

.PHONY : build binary binary-arch binary-dep clean get-orig-source

## sgt-puzzles 9179

=== Makefile ===
# Makefile for puzzles under X/GTK and Unix.
#
# This file was created by `mkfiles.pl' from the `Recipe' file.
# DO NOT EDIT THIS FILE DIRECTLY; edit Recipe or mkfiles.pl instead.

# You can define this path to point at your tools if you need to
# TOOLPATH = /opt/gcc/bin
CC := $(TOOLPATH)$(CC)
# You can manually set this to `gtk-config' or `pkg-config gtk+-1.2'
# (depending on what works on your system) if you want to enforce
# building with GTK 1.2, or you can set it to `pkg-config gtk+-2.0'
# if you want to enforce 2.0. The default is to try 2.0 and fall back
# to 1.2 if it isn't found.
GTK_CONFIG = sh -c 'pkg-config gtk+-2.0 $$0 2>/dev/null || gtk-config $$0'

CFLAGS := -O2 -Wall -Werror -ansi -pedantic -g -I./ -Iicons/ `$(GTK_CONFIG) \
		--cflags` $(CFLAGS)
XLIBS = `$(GTK_CONFIG) --libs`
ULIBS =#
INSTALL=install
INSTALL_PROGRAM=$(INSTALL)
INSTALL_DATA=$(INSTALL)
prefix=/usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
gamesdir=$(exec_prefix)/games
mandir=$(prefix)/man
man1dir=$(mandir)/man1

all: blackbox bridges cube dominosa fifteen filling fillingsolver flip \
		galaxies galaxiespicture galaxiessolver guess inertia keen \
		keensolver latincheck lightup lightupsolver loopy \
		loopysolver magnets magnetssolver map mapsolver mineobfusc \
		mines net netslide nullgame obfusc pattern patternsolver \
		pegs range rect samegame signpost signpostsolver singles \
		singlessolver sixteen slant slantsolver solo solosolver \
		tents tentssolver towers towerssolver twiddle unequal \
		unequalsolver untangle

blackbox: blackbox.o blackbox-icon.o drawing.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ blackbox.o blackbox-icon.o drawing.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

bridges: bridges.o bridges-icon.o drawing.o dsf.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ bridges.o bridges-icon.o drawing.o dsf.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

cube: cube.o cube-icon.o drawing.o gtk.o malloc.o midend.o misc.o printing.o \
		ps.o random.o version.o
	$(CC) -o $@ cube.o cube-icon.o drawing.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLFLAGS) \
		$(XLIBS)

dominosa: dominosa.o dominosa-icon.o drawing.o gtk.o laydomino.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ dominosa.o dominosa-icon.o drawing.o gtk.o laydomino.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

fifteen: drawing.o fifteen.o fifteen-icon.o gtk.o malloc.o midend.o misc.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o fifteen.o fifteen-icon.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

filling: drawing.o dsf.o filling.o filling-icon.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o filling.o filling-icon.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

fillingsolver: dsf.o filling2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o filling2.o malloc.o misc.o nullfe.o random.o  \
		$(XLFLAGS) $(ULIBS)

flip: drawing.o flip.o flip-icon.o gtk.o malloc.o midend.o misc.o printing.o \
		ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o flip.o flip-icon.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o tree234.o version.o  \
		$(XLFLAGS) $(XLIBS)

galaxies: drawing.o dsf.o galaxies.o galaxies-icon.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o galaxies.o galaxies-icon.o gtk.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

galaxiespicture: dsf.o galaxie4.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o galaxie4.o malloc.o misc.o nullfe.o random.o -lm \
		$(XLFLAGS) $(ULIBS)

galaxiessolver: dsf.o galaxie2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o galaxie2.o malloc.o misc.o nullfe.o random.o -lm \
		$(XLFLAGS) $(ULIBS)

guess: drawing.o gtk.o guess.o guess-icon.o malloc.o midend.o misc.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o guess.o guess-icon.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLFLAGS) \
		$(XLIBS)

inertia: drawing.o gtk.o inertia.o inertia-icon.o malloc.o midend.o misc.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o inertia.o inertia-icon.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

keen: drawing.o dsf.o gtk.o keen.o keen-icon.o latin.o malloc.o maxflow.o \
		midend.o misc.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o keen.o keen-icon.o latin.o \
		malloc.o maxflow.o midend.o misc.o printing.o ps.o random.o \
		tree234.o version.o  $(XLFLAGS) $(XLIBS)

keensolver: dsf.o keen2.o latin6.o malloc.o maxflow.o misc.o nullfe.o \
		random.o tree234.o
	$(CC) -o $@ dsf.o keen2.o latin6.o malloc.o maxflow.o misc.o \
		nullfe.o random.o tree234.o  $(XLFLAGS) $(ULIBS)

latincheck: latin8.o malloc.o maxflow.o misc.o nullfe.o random.o tree234.o
	$(CC) -o $@ latin8.o malloc.o maxflow.o misc.o nullfe.o random.o \
		tree234.o  $(XLFLAGS) $(ULIBS)

lightup: combi.o drawing.o gtk.o lightup.o lightup-icon.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ combi.o drawing.o gtk.o lightup.o lightup-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

lightupsolver: combi.o lightup2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ combi.o lightup2.o malloc.o misc.o nullfe.o random.o  \
		$(XLFLAGS) $(ULIBS)

loopy: drawing.o dsf.o grid.o gtk.o loopy.o loopy-icon.o malloc.o midend.o \
		misc.o penrose.o printing.o ps.o random.o tree234.o \
		version.o
	$(CC) -o $@ drawing.o dsf.o grid.o gtk.o loopy.o loopy-icon.o \
		malloc.o midend.o misc.o penrose.o printing.o ps.o random.o \
		tree234.o version.o  $(XLFLAGS) $(XLIBS)

loopysolver: dsf.o grid.o loopy2.o malloc.o misc.o nullfe.o penrose.o \
		random.o tree234.o
	$(CC) -o $@ dsf.o grid.o loopy2.o malloc.o misc.o nullfe.o penrose.o \
		random.o tree234.o -lm $(XLFLAGS) $(ULIBS)

magnets: drawing.o gtk.o laydomino.o magnets.o magnets-icon.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o laydomino.o magnets.o magnets-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

magnetssolver: laydomino.o magnets2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ laydomino.o magnets2.o malloc.o misc.o nullfe.o random.o \
		-lm $(XLFLAGS) $(ULIBS)

map: drawing.o dsf.o gtk.o malloc.o map.o map-icon.o midend.o misc.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o map.o map-icon.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLFLAGS) \
		$(XLIBS)

mapsolver: dsf.o malloc.o map2.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o malloc.o map2.o misc.o nullfe.o random.o -lm \
		$(XLFLAGS) $(ULIBS)

mineobfusc: malloc.o mines2.o misc.o nullfe.o random.o tree234.o
	$(CC) -o $@ malloc.o mines2.o misc.o nullfe.o random.o tree234.o  \
		$(XLFLAGS) $(ULIBS)

mines: drawing.o gtk.o malloc.o midend.o mines.o mines-icon.o misc.o \
		printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o mines.o mines-icon.o \
		misc.o printing.o ps.o random.o tree234.o version.o  \
		$(XLFLAGS) $(XLIBS)

net: drawing.o dsf.o gtk.o malloc.o midend.o misc.o net.o net-icon.o \
		printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o net.o \
		net-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLFLAGS) $(XLIBS)

netslide: drawing.o gtk.o malloc.o midend.o misc.o netslide.o \
		netslide-icon.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o netslide.o \
		netslide-icon.o printing.o ps.o random.o tree234.o version.o \
		 $(XLFLAGS) $(XLIBS)

nullgame: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o nullgame.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		nullgame.o printing.o ps.o random.o version.o  $(XLFLAGS) \
		$(XLIBS)

obfusc: malloc.o misc.o nullfe.o obfusc.o random.o
	$(CC) -o $@ malloc.o misc.o nullfe.o obfusc.o random.o  $(XLFLAGS) \
		$(ULIBS)

pattern: drawing.o gtk.o malloc.o midend.o misc.o pattern.o pattern-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o pattern.o \
		pattern-icon.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

patternsolver: malloc.o misc.o nullfe.o pattern2.o random.o
	$(CC) -o $@ malloc.o misc.o nullfe.o pattern2.o random.o  $(XLFLAGS) \
		$(ULIBS)

pegs: drawing.o gtk.o malloc.o midend.o misc.o pegs.o pegs-icon.o printing.o \
		ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o pegs.o \
		pegs-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLFLAGS) $(XLIBS)

range: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o random.o \
		range.o range-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o range.o range-icon.o version.o  $(XLFLAGS) $(XLIBS)

rect: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o random.o \
		rect.o rect-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o rect.o rect-icon.o version.o  $(XLFLAGS) $(XLIBS)

samegame: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o random.o \
		samegame.o samegame-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o samegame.o samegame-icon.o version.o  $(XLFLAGS) \
		$(XLIBS)

signpost: drawing.o dsf.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o signpost.o signpost-icon.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
		printing.o ps.o random.o signpost.o signpost-icon.o \
		version.o  $(XLFLAGS) $(XLIBS)

signpostsolver: dsf.o malloc.o misc.o nullfe.o random.o signpos2.o
	$(CC) -o $@ dsf.o malloc.o misc.o nullfe.o random.o signpos2.o -lm \
		$(XLFLAGS) $(ULIBS)

singles: drawing.o dsf.o gtk.o latin.o malloc.o maxflow.o midend.o misc.o \
		printing.o ps.o random.o singles.o singles-icon.o tree234.o \
		version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o latin.o malloc.o maxflow.o \
		midend.o misc.o printing.o ps.o random.o singles.o \
		singles-icon.o tree234.o version.o  $(XLFLAGS) $(XLIBS)

singlessolver: dsf.o latin.o malloc.o maxflow.o misc.o nullfe.o random.o \
		singles3.o tree234.o
	$(CC) -o $@ dsf.o latin.o malloc.o maxflow.o misc.o nullfe.o \
		random.o singles3.o tree234.o  $(XLFLAGS) $(ULIBS)

sixteen: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o random.o \
		sixteen.o sixteen-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o sixteen.o sixteen-icon.o version.o  $(XLFLAGS) \
		$(XLIBS)

slant: drawing.o dsf.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o slant.o slant-icon.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
		printing.o ps.o random.o slant.o slant-icon.o version.o  \
		$(XLFLAGS) $(XLIBS)

slantsolver: dsf.o malloc.o misc.o nullfe.o random.o slant2.o
	$(CC) -o $@ dsf.o malloc.o misc.o nullfe.o random.o slant2.o  \
		$(XLFLAGS) $(ULIBS)

solo: divvy.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o solo.o solo-icon.o version.o
	$(CC) -o $@ divvy.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
		printing.o ps.o random.o solo.o solo-icon.o version.o  \
		$(XLFLAGS) $(XLIBS)

solosolver: divvy.o dsf.o malloc.o misc.o nullfe.o random.o solo2.o
	$(CC) -o $@ divvy.o dsf.o malloc.o misc.o nullfe.o random.o solo2.o  \

=== icons/Makefile ===
# Makefile for Puzzles icons.

PUZZLES = blackbox bridges cube dominosa fifteen filling flip galaxies guess \
	  inertia keen lightup loopy magnets map mines net netslide pattern \
	  pegs range rect samegame signpost singles sixteen slant solo tents \
	  towers twiddle unequal untangle

BASE = $(patsubst %,%-base.png,$(PUZZLES))
WEB = $(patsubst %,%-web.png,$(PUZZLES))

IBASE = $(patsubst %,%-ibase.png,$(PUZZLES))
IBASE4 = $(patsubst %,%-ibase4.png,$(PUZZLES))
P48D24 = $(patsubst %,%-48d24.png,$(PUZZLES))
P48D8 = $(patsubst %,%-48d8.png,$(PUZZLES))
P48D4 = $(patsubst %,%-48d4.png,$(PUZZLES))
P32D24 = $(patsubst %,%-32d24.png,$(PUZZLES))
P32D8 = $(patsubst %,%-32d8.png,$(PUZZLES))
P32D4 = $(patsubst %,%-32d4.png,$(PUZZLES))
P16D24 = $(patsubst %,%-16d24.png,$(PUZZLES))
P16D8 = $(patsubst %,%-16d8.png,$(PUZZLES))
P16D4 = $(patsubst %,%-16d4.png,$(PUZZLES))
ICONS = $(patsubst %,%.ico,$(PUZZLES))
CICONS = $(patsubst %,%-icon.c,$(PUZZLES))
RC = $(patsubst %,%.rc,$(PUZZLES))

BIN = ../
PIC = ./

base: $(BASE)
web: $(WEB)
pngicons: $(P48D24) $(P32D24) $(P16D24)
winicons: $(ICONS) $(RC)
gtkicons: $(CICONS)
all: base web pngicons winicons gtkicons

# Build the base puzzle screenshots from which all the other images
# are derived. Some of them involve showing a move animation
# part-way through.
fifteen-base.png : override REDO=0.3
flip-base.png : override REDO=0.3
netslide-base.png : override REDO=0.3
sixteen-base.png : override REDO=0.3
twiddle-base.png : override REDO=0.3
$(BASE): %-base.png: $(BIN)% $(PIC)%.sav
	$(PIC)screenshot.sh $(BIN)$* $(PIC)$*.sav $@ $(REDO)

# Build the screenshots for the web, by scaling the original base
# images to a uniform size.
$(WEB): %-web.png: %-base.png
	$(PIC)square.pl 150 5 $^ $@

# Build the base _icon_ images, by careful cropping of the base
# images: icons are very small so it's often necessary to zoom in
# on a smaller portion of the screenshot.
blackbox-ibase.png : override CROP=352x352 144x144+0+208
bridges-ibase.png : override CROP=264x264 107x107+157+157
dominosa-ibase.png : override CROP=304x272 152x152+152+0
fifteen-ibase.png : override CROP=240x240 120x120+0+120
filling-ibase.png : override CROP=256x256 133x133+14+78
flip-ibase.png : override CROP=288x288 145x145+120+72
galaxies-ibase.png : override CROP=288x288 165x165+0+0
guess-ibase.png : override CROP=263x420 178x178+75+17
inertia-ibase.png : override CROP=321x321 128x128+193+0
keen-ibase.png : override CROP=288x288 96x96+24+120
lightup-ibase.png : override CROP=256x256 112x112+144+0
loopy-ibase.png : override CROP=257x257 113x113+0+0
magnets-ibase.png : override CROP=264x232 96x96+36+100
mines-ibase.png : override CROP=240x240 110x110+130+130
net-ibase.png : override CROP=193x193 113x113+0+80
netslide-ibase.png : override CROP=289x289 144x144+0+0
pattern-ibase.png : override CROP=384x384 223x223+0+0
pegs-ibase.png : override CROP=263x263 147x147+116+0
range-ibase.png : override CROP=256x256 98x98+111+15
rect-ibase.png : override CROP=205x205 115x115+90+0
signpost-ibase.png : override CROP=240x240 98x98+23+23
singles-ibase.png : override CROP=224x224 98x98+15+15
sixteen-ibase.png : override CROP=288x288 144x144+144+144
slant-ibase.png : override CROP=321x321 160x160+160+160
solo-ibase.png : override CROP=481x481 145x145+24+24
tents-ibase.png : override CROP=320x320 165x165+142+0
towers-ibase.png : override CROP=300x300 102x102+151+6
twiddle-ibase.png : override CROP=192x192 102x102+69+21
unequal-ibase.png : override CROP=208x208 104x104+104+104
untangle-ibase.png : override CROP=320x320 164x164+3+116
$(IBASE): %-ibase.png: %-base.png
	$(PIC)crop.sh $^ $@ $(CROP)

# Convert the full-size icon images to 4-bit colour, because that
# seems to work better than reducing it in 24 bits and then
# dithering.
$(IBASE4): %-ibase4.png: %-ibase.png
	convert -colors 16 +dither -map $(PIC)win16pal.xpm $^ $@

# Build the 24-bit PNGs for the icons, at three sizes.
$(P48D24): %-48d24.png: %-ibase.png
	$(PIC)square.pl 48 4 $^ $@
$(P32D24): %-32d24.png: %-ibase.png
	$(PIC)square.pl 32 2 $^ $@
$(P16D24): %-16d24.png: %-ibase.png
	$(PIC)square.pl 16 1 $^ $@

# The 8-bit icon PNGs are just custom-paletted quantisations of the
# 24-bit ones.
$(P48D8) $(P32D8) $(P16D8): %d8.png: %d24.png
	convert -colors 256 $^ $@

# But the depth-4 images work better if we re-shrink from the
# ibase4 versions of the images, and then normalise the colours
# again afterwards. (They're still not very good, but my hope is
# that on most modern Windows machines this won't matter too
# much...)
$(P48D4): %-48d4.png: %-ibase4.png
	$(PIC)square.pl 48 1 $^ $@-tmp2.png
	convert -colors 16 -map $(PIC)win16pal.xpm $@-tmp2.png $@
	rm -f $@-tmp2.png
$(P32D4): %-32d4.png: %-ibase.png
	$(PIC)square.pl 32 1 $^ $@-tmp2.png
	convert -colors 16 -map $(PIC)win16pal.xpm $@-tmp2.png $@
	rm -f $@-tmp2.png
$(P16D4): %-16d4.png: %-ibase.png
	$(PIC)square.pl 16 1 $^ $@-tmp2.png
	convert -colors 16 -map $(PIC)win16pal.xpm $@-tmp2.png $@
	rm -f $@-tmp2.png

# Build the actual Windows icons themselves, by feeding all those
# PNGs to my icon builder script.
$(ICONS): %.ico: %-48d24.png %-48d8.png %-48d4.png \
                 %-32d24.png %-32d8.png %-32d4.png \
                 %-16d24.png %-16d8.png %-16d4.png
	$(PIC)icon.pl -24 $*-48d24.png $*-32d24.png $*-16d24.png \
		      -8  $*-48d8.png  $*-32d8.png  $*-16d8.png  \
		      -4  $*-48d4.png  $*-32d4.png  $*-16d4.png  > $@

# Build the .RC files which bind the icons into the applications.
$(RC): %.rc:
	echo '#include "puzzles.rc2"' > $@
	echo '200 ICON "$*.ico"' >> $@

# Build the GTK icon source files.
$(CICONS): %-icon.c: %-16d24.png %-32d24.png %-48d24.png
	$(PIC)cicon.pl $^ > $@	

clean:
	rm -f *.png *.ico *.rc *-icon.c

=== debian/changelog ===
sgt-puzzles (9179-1) unstable; urgency=low

  * New upstream version:
    - Remove unused-but-set variables - closes: #625425
    - Avoid infinite loop in Loopy at Easy level
    - Add Penrose tilings to Loopy
  * Update German translation, thanks to Helge Kreutzmann
  * Do not compile with -Werror

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 11 Jul 2011 03:56:55 +0100

## sgt-puzzles 9306

=== debian/changelog ===
sgt-puzzles (9306-1) unstable; urgency=low

  * New upstream version
  * Update German translation, thanks to Helge Kreutzmann
  * Update policy version to 3.9.2; no changes required
  * Update description to include the puzzles added in 8853-1 and 9109-1

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 12 Dec 2011 02:40:18 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Ben Hutchings <ben@decadent.org.uk>
 Section: games
 Priority: extra
-Build-Depends: debhelper (>= 7), halibut, libgtk2.0-dev, liblocale-po-perl, perl, po4a
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~), halibut, libgtk2.0-dev, liblocale-po-perl, perl, po4a
+Standards-Version: 3.9.2
 Homepage: http://www.chiark.greenend.org.uk/~sgtatham/puzzles/
 Vcs-Git: http://git.decadent.org.uk/git/sgt-puzzles.git/
 Vcs-Browser: http://git.decadent.org.uk/gitweb?p=sgt-puzzles.git
@@ -25,13 +25,19 @@
   * Galaxies, based on Tentai Show
   * Guess, based on Mastermind
   * Inertia
+  * Keen, based on KenKen
   * Light Up
+  * Magnets
   * Mines, based on Minesweeper
   * Pattern, an implementation of nonograms
   * Pegs, an implementation of several versions of peg solitaire
+  * Range, based on Kurodoko
   * Rectangles, based on Divide by Squares
   * Same Game
+  * Signpost, based on Pfeilpfad
+  * Singles, based on Hitori
   * Solo, based on Sudoku
   * Tents
+  * Towers, based on Skyscrapers
   * Unequal, based on Futoshiki
   * Untangle, based on Planarity

## sgt-puzzles 9411

=== Makefile ===
--- 
+++ 
@@ -32,10 +32,10 @@
 		keensolver latincheck lightup lightupsolver loopy \
 		loopysolver magnets magnetssolver map mapsolver mineobfusc \
 		mines net netslide nullgame obfusc pattern patternsolver \
-		pegs range rect samegame signpost signpostsolver singles \
-		singlessolver sixteen slant slantsolver solo solosolver \
-		tents tentssolver towers towerssolver twiddle unequal \
-		unequalsolver untangle
+		pearl pearlbench pegs range rect samegame signpost \
+		signpostsolver singles singlessolver sixteen slant \
+		slantsolver solo solosolver tents tentssolver towers \
+		towerssolver twiddle unequal unequalsolver untangle
 
 blackbox: blackbox.o blackbox-icon.o drawing.o gtk.o malloc.o midend.o \
 		misc.o printing.o ps.o random.o version.o
@@ -134,17 +134,17 @@
 	$(CC) -o $@ combi.o lightup2.o malloc.o misc.o nullfe.o random.o  \
 		$(XLFLAGS) $(ULIBS)
 
-loopy: drawing.o dsf.o grid.o gtk.o loopy.o loopy-icon.o malloc.o midend.o \
-		misc.o penrose.o printing.o ps.o random.o tree234.o \
+loopy: drawing.o dsf.o grid.o gtk.o loopgen.o loopy.o loopy-icon.o malloc.o \
+		midend.o misc.o penrose.o printing.o ps.o random.o tree234.o \
 		version.o
-	$(CC) -o $@ drawing.o dsf.o grid.o gtk.o loopy.o loopy-icon.o \
-		malloc.o midend.o misc.o penrose.o printing.o ps.o random.o \
-		tree234.o version.o  $(XLFLAGS) $(XLIBS)
-
-loopysolver: dsf.o grid.o loopy2.o malloc.o misc.o nullfe.o penrose.o \
-		random.o tree234.o
-	$(CC) -o $@ dsf.o grid.o loopy2.o malloc.o misc.o nullfe.o penrose.o \
-		random.o tree234.o -lm $(XLFLAGS) $(ULIBS)
+	$(CC) -o $@ drawing.o dsf.o grid.o gtk.o loopgen.o loopy.o \
+		loopy-icon.o malloc.o midend.o misc.o penrose.o printing.o \
+		ps.o random.o tree234.o version.o  $(XLFLAGS) $(XLIBS)
+
+loopysolver: dsf.o grid.o loopgen.o loopy2.o malloc.o misc.o nullfe.o \
+		penrose.o random.o tree234.o
+	$(CC) -o $@ dsf.o grid.o loopgen.o loopy2.o malloc.o misc.o nullfe.o \
+		penrose.o random.o tree234.o -lm $(XLFLAGS) $(ULIBS)
 
 magnets: drawing.o gtk.o laydomino.o magnets.o magnets-icon.o malloc.o \
 		midend.o misc.o printing.o ps.o random.o version.o
@@ -207,6 +207,18 @@
 patternsolver: malloc.o misc.o nullfe.o pattern2.o random.o
 	$(CC) -o $@ malloc.o misc.o nullfe.o pattern2.o random.o  $(XLFLAGS) \
 		$(ULIBS)
+
+pearl: drawing.o dsf.o grid.o gtk.o loopgen.o malloc.o midend.o misc.o \
+		pearl.o pearl-icon.o penrose.o printing.o ps.o random.o \
+		tdq.o tree234.o version.o
+	$(CC) -o $@ drawing.o dsf.o grid.o gtk.o loopgen.o malloc.o midend.o \
+		misc.o pearl.o pearl-icon.o penrose.o printing.o ps.o \
+		random.o tdq.o tree234.o version.o  $(XLFLAGS) $(XLIBS)
+
+pearlbench: dsf.o grid.o loopgen.o malloc.o misc.o nullfe.o pearl2.o \
+		penrose.o random.o tdq.o tree234.o
+	$(CC) -o $@ dsf.o grid.o loopgen.o malloc.o misc.o nullfe.o pearl2.o \
+		penrose.o random.o tdq.o tree234.o -lm $(XLFLAGS) $(ULIBS)
 
 pegs: drawing.o gtk.o malloc.o midend.o misc.o pegs.o pegs-icon.o printing.o \
 		ps.o random.o tree234.o version.o
@@ -261,18 +273,3 @@
 slant: drawing.o dsf.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
 		random.o slant.o slant-icon.o version.o
 	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
-		printing.o ps.o random.o slant.o slant-icon.o version.o  \
-		$(XLFLAGS) $(XLIBS)
-
-slantsolver: dsf.o malloc.o misc.o nullfe.o random.o slant2.o
-	$(CC) -o $@ dsf.o malloc.o misc.o nullfe.o random.o slant2.o  \
-		$(XLFLAGS) $(ULIBS)
-
-solo: divvy.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
-		random.o solo.o solo-icon.o version.o
-	$(CC) -o $@ divvy.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
-		printing.o ps.o random.o solo.o solo-icon.o version.o  \
-		$(XLFLAGS) $(XLIBS)
-
-solosolver: divvy.o dsf.o malloc.o misc.o nullfe.o random.o solo2.o
-	$(CC) -o $@ divvy.o dsf.o malloc.o misc.o nullfe.o random.o solo2.o  \

=== icons/Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 PUZZLES = blackbox bridges cube dominosa fifteen filling flip galaxies guess \
 	  inertia keen lightup loopy magnets map mines net netslide pattern \
-	  pegs range rect samegame signpost singles sixteen slant solo tents \
-	  towers twiddle unequal untangle
+	  pearl pegs range rect samegame signpost singles sixteen slant solo \
+	  tents towers twiddle unequal untangle
 
 BASE = $(patsubst %,%-base.png,$(PUZZLES))
 WEB = $(patsubst %,%-web.png,$(PUZZLES))
@@ -69,6 +69,7 @@
 net-ibase.png : override CROP=193x193 113x113+0+80
 netslide-ibase.png : override CROP=289x289 144x144+0+0
 pattern-ibase.png : override CROP=384x384 223x223+0+0
+pearl-ibase.png : override CROP=216x216 94x94+108+15
 pegs-ibase.png : override CROP=263x263 147x147+116+0
 range-ibase.png : override CROP=256x256 98x98+111+15
 rect-ibase.png : override CROP=205x205 115x115+90+0

=== debian/changelog ===
sgt-puzzles (9411-1) unstable; urgency=low

  * New upstream version - closes: #666709
    - Adds Pearl puzzle
  * Update German translation, thanks to Helge Kreutzmann

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 07 Apr 2012 02:38:40 +0100

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
   * Magnets
   * Mines, based on Minesweeper
   * Pattern, an implementation of nonograms
+  * Pearl, based on Masyu
   * Pegs, an implementation of several versions of peg solitaire
   * Range, based on Kurodoko
   * Rectangles, based on Divide by Squares

=== debian/rules ===
#!/usr/bin/make -f

# We require some bash features
override SHELL := /bin/bash

DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -r 's/^Version: //; t; d')
UPSTREAM_VERSION := $(shell echo $(DEBIAN_VERSION) | sed -r 's/^[0-9]*://; s/-[^-]*$$//')

LANGUAGES := en $(patsubst debian/po/%.po,%,$(wildcard debian/po/*.po))

# Distributed files that we regenerate
AUTOGEN_FILES := list.c Makefile Makefile.cyg Makefile.nestedvm Makefile.osx \
		 Makefile.vc Makefile.wce puzzles.txt puzzles.hlp puzzles.cnt \
		 HACKING

%:
	dh $@

override_dh_auto_configure:
	./mkfiles.pl
	[ -L po ] || ln -s debian/po po

override_dh_auto_build:
	$(MAKE) "VER=-DREVISION=$(UPSTREAM_VERSION)" \
	    "XFLAGS=-DDEBIAN_VERSION=\"\\\"$(DEBIAN_VERSION)\\\"\" -DHELP_BROWSER_PATH=\"\\\"yelp:khelpcenter:sensible-browser\\\"\"" \
	    puzzles
	$(MAKE) -f Makefile.doc

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/sgt-puzzles install

override_dh_installdocs:
	for lang in $(LANGUAGES); do \
		dh_install doc/html-$$lang/*.html usr/share/sgt-puzzles/help/$$lang \
		|| exit; \
	done
	dh_installdocs

override_dh_installman:
	for lang in $(LANGUAGES); do \
		dh_installman --language=$${lang/en/C} doc/man-$$lang/* || exit; \
	done

override_dh_install:
	dh_install debian/desktop/*.desktop usr/share/applications
	for icon in icons/*-48d24.png; do \
	    base="$$(basename $$icon -48d24.png)" && \
	    if [ $$base = blackbox -o $$base = flip -o $$base = net ]; then \
		base=$${base}game; \
	    fi && \
	    install -m644 $$icon debian/sgt-puzzles/usr/share/icons/hicolor/48x48/apps/$$base.png \
	    || exit; \
	done

override_dh_auto_clean:
	! [ -f Makefile ] || $(MAKE) clean
	$(MAKE) -f Makefile.doc clean
	if [ -d .git ]; then				\
		git checkout HEAD $(AUTOGEN_FILES);	\
	else						\
		rm -f $(AUTOGEN_FILES);			\
	fi
	rm -f po
	dh_clean debian/substvars version2.def wingames.lst

=== debian/watch ===
# Upstream homepage links to a file called puzzles.tar.gz which
# redirects to puzzles-r$version.tar.gz.  uscan can't check that.
# However, this is a nightly snapshot numbered according to the SVN
# revision number, so we can extract the version number from its web
# view.
version=3
opts="filenamemangle=s/.*revision=(\d+).*/sgt-puzzles_$1.orig.tar.gz/,downloadurlmangle=s@.*revision=(\d+).*@http://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles-r$1.tar.gz@" \
http://svn.tartarus.org/sgt/puzzles/ /sgt\?view=rev\&amp;revision=(\d+)
